**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/21.3/binders/binding-rules/update-binder-section-binding-rule.md

# Update Binder Section Binding Rule



<Endpoint path="/api/{version}/objects/binders/{binder_id}/sections/{node_id}/binding_rule" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{node_id}` | The binder node `id` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `binding_rule__v` | [Required] Indicates which binding rule to apply (which document versions to link to the section). Options are: `default` (bind to the latest available version (assumed if binding_rule is blank)), `steady-state` (bind to latest version in a steady-state), or `current` (bind to current version). |
| `binding_rule_override__v` | [Required] Set to true or false to indicate if the specified binding rule should override documents or sections which already have binding rules set. If set to `true`, the binding rule is applied to all documents and sections within the current section. If blank or set to `false`, the binding rule is applied only to documents and sections within the current section that do not have a binding rule specified. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "binding_rule__v=steady-state" \
-d "binding_rule_override__v=true" \
https://myvault.veevavault.com/api/v15.0/objects/binders/566/sections/1427232809771:1381853041/binding_rule

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "id": "1427491342404:-1828014479"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault returns the Node ID of the updated section.



---

**Previous:** [Update Binding Rule](/sitevault/vault-api/api-reference/21.3/binders/binding-rules/update-binding-rule)  
**Next:** [Update Binder Document Binding Rule](/sitevault/vault-api/api-reference/21.3/binders/binding-rules/update-binder-document-binding-rule)